ФорумПрограммированиеPython → mod_python и Debian 5

mod_python и Debian 5

  • PretendeR

    Сообщения: 5 Репутация: N Группа: Кто попало

    Spritz 30 апреля 2012 г. 4:11

    Всем добрый день!
    Подскажите пожалуйста как установить, точнее скомпилировать, mod_python в дебиан 5
    поддержка дистрибутива Debian 5 lenny закончилась
    и теперь просто так с репозитория не установить, таким методом
    apt-get install libapache2-mod-python
    сыпет 404 not found

    Скачал mod_python вручную отсюда http://www.modpython.org/
    Пытаюсь установить по этой инструкции:
    http://www.modpython.org/live/current/doc-html/inst-configure.html

    И фишка в том, что у меня нету такого каталога /usr/local/apache/bin/apxs
    И также сыпятся ошибки
    например если попробую сделать сперва так
    ./configure –with-python=/usr/local/bin/python2.7
    То консоль мне выдаст много всяких замечаний на счет –with-apxs
    и соотв. потом make не срабатывает и пишет
    make: *** No targets specified and no makefile found. Stop.
    Вот ломаю голову битый час, все инструкции по установке mod-python что находил используют –with-apxs, а что делать если его нет не объясняется ((
    Помогите решить проблемку.
  • Ivan

    Сообщения: 1316 Репутация: N Группа: Адекваты

    Spritz 30 апреля 2012 г. 4:38, спустя 27 минут 24 секунды

    нету такого каталога

    это и не каталог, а бинарный файл, раз лежит в папке bin, ищи его, или пересобирай апач так, чтобы он там был
    Спустя 63 сек.
    сыпет 404 not found

    дак добавь репозитории другие, яндекса или dotdeb к примеру
  • adw0rd

    Сообщения: 22905 Репутация: N Группа: в ухо

    Spritz 30 апреля 2012 г. 4:55, спустя 16 минут 48 секунд

    PretendeR, mod_python принципиально? Или можно gunicorn/uwsgi?
    Спустя 146 сек.
    404 not found

    Возможно дело в конфиге, а не в "libapache2-mod-python"? Конфиг можете привести?
    adw/0
  • PretendeR

    Сообщения: 5 Репутация: N Группа: Кто попало

    Spritz 30 апреля 2012 г. 7:18, спустя 2 часа 23 минуты 3 секунды

    дак добавь репозитории другие, яндекса или dotdeb к примеру

    Если в /etc/apt/sources.list добавить другие репозитории, то он тогда выдает
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E: Couldn't find package libapache2-mod-python


    Конфиг можете привести?

    Где его найти?
    Спустя 107 сек.
    mod_python принципиально? Или можно gunicorn/uwsgi?

    А с mod_wsgi такая же фигня что и с мод_питон
    пытался уже.
    все этот apxs всем нужен (((
  • Ivan

    Сообщения: 1316 Репутация: N Группа: Адекваты

    Spritz 30 апреля 2012 г. 17:01, спустя 9 часов 42 минуты 27 секунд

    а ты apt-get update сделал?
  • PretendeR

    Сообщения: 5 Репутация: N Группа: Кто попало

    Spritz 1 мая 2012 г. 0:36, спустя 7 часов 35 минут 38 секунд

    а ты apt-get update сделал?

    Угу. Разобрался здесь. Сменил 10 репозиториев, 10-й законнектился нормально, правда sqeeze а не lenny :D

    Так. вроде как мод питон установился (вроде бы) через apt-get install libapache2-mod-python
    там что-то долго делалось и в итоге всё ок написало.
    Теперь как мне запустить .psp файлы с сайта
    Если следовать этому мануалу http://olezhek.net/2009-11-11-apache-mod_python.html
    то в /etc/apache2/sites-available надо подправить файл default
    Я подправил, апач ребутнул. Но чего то при запуске _http://py.misite.ru/index.psp мне выдается голый текст вместо исполнения *SCRATCH*
  • adw0rd

    Сообщения: 22905 Репутация: N Группа: в ухо

    Spritz 1 мая 2012 г. 1:49, спустя 1 час 12 минут 29 секунд

    Может поможет http://adw0rd.ru/2009/modpython/
    adw/0
  • phpdude

    Сообщения: 26624 Репутация: N Группа: в ухо

    Spritz 1 мая 2012 г. 5:04, спустя 3 часа 15 минут 19 секунд

    юзай nginx + uwsgi :)
    Сапожник без сапог
  • PretendeR

    Сообщения: 5 Репутация: N Группа: Кто попало

    Spritz 1 мая 2012 г. 7:03, спустя 1 час 58 минут 52 секунды

    юзай nginx + uwsgi :)

    А nginx у меня и так стоит

  • phpdude

    Сообщения: 26624 Репутация: N Группа: в ухо

    Spritz 1 мая 2012 г. 7:09, спустя 6 минут 7 секунд

    PretendeR, так запускай под uwsgi
    Сапожник без сапог
  • PretendeR

    Сообщения: 5 Репутация: N Группа: Кто попало

    Spritz 2 мая 2012 г. 2:23, спустя 19 часов 13 минут 37 секунд

    так запускай под uwsgi

    А как его установить на debian lenny можно мануальчик, только понятный, а то я чую и он у меня будет просить apxs которого у меня нету ((
  • phpdude

    Сообщения: 26624 Репутация: N Группа: в ухо

    Spritz 2 мая 2012 г. 2:24, спустя 1 минуту 34 секунды

    а то я чую и он у меня будет просить apxs которого у меня нету ((

    во первых - он ставится на nginx, поэтому ему не надо apxs (это хуйня от апача)
    во вторых - apxs у тебя есть (либо apxs2 для apache2), просто ты плохо искал
    Сапожник без сапог

Пожалуйста, авторизуйтесь, чтобы написать комментарий!